#include "pw/core/core.hpp"
#include "pw/core/debug.hpp"

namespace pw {

template <typename T> struct module {

	module() {
		debug::d() << __PRETTY_FUNCTION__;
	}

	struct proxy {
		proxy() {
			debug::d() << __PRETTY_FUNCTION__;
		}
	};

	static proxy _proxy;

};

template <typename T> typename module<T>::proxy module<T>::_proxy;


struct stuff {

};


module<stuff> mod;


}


